## TplTextEvent

TplTextEvent — Representation of a text log event

## Functions

TpChannelTextMessageType | tpl_text_event_get_message_type ()
gint64 | tpl_text_event_get_edit_timestamp ()
const gchar * | tpl_text_event_get_message ()
const gchar * | tpl_text_event_get_message_token ()
const gchar * | tpl_text_event_get_supersedes_token ()
GList * | tpl_text_event_get_supersedes ()

## Properties

gint64 | edit-timestamp | Read / Write / Construct Only
char * | message | Read / Write / Construct Only
char * | message-token | Read / Write / Construct Only
guint | message-type | Read / Write / Construct Only
char * | supersedes-token | Read / Write / Construct Only

## Types and Values

| TplTextEventPriv

## Object Hierarchy

        GObject
        ╰── TplEvent
            ╰── TplTextEvent

## Description

A subclass of TplEvent representing a text log event.

## Functions

### tpl_text_event_get_message_type ()

    TpChannelTextMessageType
    tpl_text_event_get_message_type (TplTextEvent *self);

#### Parameters

self | a TplTextEvent |

#### Returns

the same message as the “message-type” property

### tpl_text_event_get_edit_timestamp ()

    gint64
    tpl_text_event_get_edit_timestamp (TplTextEvent *self);

#### Parameters

self | a TplTextEvent |

#### Returns

the same value as the “edit-timestamp” property

### tpl_text_event_get_message ()

    const gchar *
    tpl_text_event_get_message (TplTextEvent *self);

#### Parameters

self | a TplTextEvent |

#### Returns

the same message as the “message” property

### tpl_text_event_get_message_token ()

    const gchar *
    tpl_text_event_get_message_token (TplTextEvent *self);

#### Parameters

self | a TplTextEvent |

#### Returns

the same message as the “message-token” property

### tpl_text_event_get_supersedes_token ()

    const gchar *
    tpl_text_event_get_supersedes_token (TplTextEvent *self);

#### Parameters

self | a TplTextEvent |

#### Returns

the same message as the “supersedes-token” property

### tpl_text_event_get_supersedes ()

    GList *
    tpl_text_event_get_supersedes (TplTextEvent *self);

#### Parameters

self | a TplTextEvent |

#### Returns

A GList of TplTextEvent that this event supersedes.

[transfer none][element-type TelepathyLogger.TextEvent]

## Types and Values

### TplTextEventPriv

    typedef struct _TplTextEventPriv TplTextEventPriv;

## Property Details

### The `“edit-timestamp”` property

      “edit-timestamp”           gint64

message-{sent,received} if this is an edit, or 0 otherwise.

Owner: TplTextEvent

Flags: Read / Write / Construct Only

Default value: 0

### The `“message”` property

      “message”                  char *

The text message of the log event.

Owner: TplTextEvent

Flags: Read / Write / Construct Only

Default value: NULL

### The `“message-token”` property

      “message-token”            char *

The message-token field of this message.

Owner: TplTextEvent

Flags: Read / Write / Construct Only

Default value: NULL

### The `“message-type”` property

      “message-type”             guint

The message type for a Text log event.

Owner: TplTextEvent

Flags: Read / Write / Construct Only

Default value: 0

### The `“supersedes-token”` property

      “supersedes-token”         char *

The message-token field of the message that this one supersedes.

Owner: TplTextEvent

Flags: Read / Write / Construct Only

Default value: NULL